import { register } from '@logicflow/vue-node-registry';
import endNode from './end.ts';
import exclusiveGatewayNode from './exclusiveGateway.ts';
import parallelGatewayNode from './parallelGateway.ts';
import startNode from './start.ts';
import taskNode from './task.ts';
import userTaskNode from './userTask.ts';

export default function registerNode(lfInstance: any) {
  // 注册自定义 vue 节点
  register(startNode, lfInstance);
  register(endNode, lfInstance);
  register(taskNode, lfInstance);
  register(userTaskNode, lfInstance);
  register(exclusiveGatewayNode, lfInstance);
  register(parallelGatewayNode, lfInstance);
}
